id: vio_rating_extension
moduleSource: vendor/violution/vio_rating_extension
version: '1.3.2 (GNU GENERAL PUBLIC LICENSE, Version 3)'
activated: true
title:
  de: 'Violution – SEO-Erweiterung für Bewertungen'
  en: 'Violution – SEO extension for Reviews'
description:
  de: "<p>Mit diesem vielseitigen OXID Plugin kannst du die Darstellung von Bewertungen flexibel anpassen, \r\nden Trust-Faktor erhöhen und User Generated Content (UGC) auch in weniger beliebten Artikelvarianten nutzen. \r\nKäufer können zudem einzelne Attribute eines Artikels bewerten und du als \r\nOXID Shop-Betreiber kannst selbst auf Bewertungen reagieren.</p>"
  en: "<p>With this versatile OXID plugin, you can flexibly adjust the display of reviews, increase the trust factor, \r\nand utilize user-generated content (UGC) even in less popular article variants. \r\nBuyers can also rate individual attributes of an article, and you as an OXID shop owner can respond to reviews yourself.</p>"
lang: ''
thumbnail: pictures/violution_logo.png
author: 'Violution GbR | Klaus Quintern | Marcel Rudolph'
url: 'https://www.violution.net'
email: info@violution.net
classExtensions:
  OxidEsales\Eshop\Application\Model\Article: Violution\Rating\Model\Article
  OxidEsales\Eshop\Application\Model\Rating: Violution\Rating\Model\Rating
  OxidEsales\Eshop\Application\Model\Review: Violution\Rating\Model\Review
  OxidEsales\Eshop\Application\Component\Widget\ArticleDetails: Violution\Rating\Component\Widget\ArticleDetails
  OxidEsales\Eshop\Application\Controller\Admin\ArticleReview: Violution\Rating\Controller\Admin\ArticleReview
  OxidEsales\Eshop\Application\Controller\ArticleDetailsController: Violution\Rating\Controller\ArticleDetailsController
controllers:
  vio_review_attribute: Violution\Rating\Controller\Admin\ReviewAttributeController
  vio_review_attribute_details: Violution\Rating\Controller\Admin\ReviewAttributeDetailsController
  vio_review_attribute_list: Violution\Rating\Controller\Admin\ReviewAttributeListController
  vio_oxobject2review_attribute: Violution\Rating\Controller\Admin\OxObject2ReviewAttributeDetailsController
events:
  onActivate: 'Violution\Rating\Core\ModuleEvents::onActivate'
moduleSettings:
  VIO_SETTING_COUNT_IN_ALL_REVIEWS:
    group: VIO_GENERAL_GROUP
    type: bool
    value: true
  VIO_SETTING_FILTERING:
    group: VIO_GENERAL_GROUP
    type: bool
    value: false
  VIO_SETTING_ALLOW_OWN_COMMENT:
    group: VIO_GENERAL_GROUP
    type: bool
    value: true
  VIO_SETTING_REVIEW_ATTRIBUTES:
    group: VIO_GENERAL_GROUP
    type: bool
    value: true
  VIO_SETTING_DISPLAY_RATING:
    group: VIO_FRONTEND_GROUP
    type: bool
    value: true
  VIO_SETTING_DISPLAY_TEXT:
    group: VIO_FRONTEND_GROUP
    type: bool
    value: true
  VIO_SETTING_DISPLAY_FIRST_NAME:
    group: VIO_FRONTEND_GROUP
    type: bool
    value: true
  VIO_SETTING_DISPLAY_LAST_NAME:
    group: VIO_FRONTEND_GROUP
    type: bool
    value: true
  VIO_SETTING_DISPLAY_COMPANY:
    group: VIO_FRONTEND_GROUP
    type: bool
    value: true
  VIO_SETTING_DISPLAY_PRODUCT:
    group: VIO_FRONTEND_GROUP
    type: bool
    value: true
  VIO_SETTING_DISPLAY_DATE:
    group: VIO_FRONTEND_GROUP
    type: bool
    value: true
